Ruby 1.9.1-p129 fails the configure on OSX 10.5.7

cd ruby-1.9.1-p129
autoconf
./configure --program-suffix=19

checking whether ELF binaries are produced... no
checking whether OS depend dynamic link works... In file included
from /usr/local/include/fuse/fuse.h:26,
                 from <command line>:1:
/usr/local/include/fuse/fuse_common.h:32:2: error: #error Please add -
D_FILE_OFFSET_BITS=64 to your compile flags!
In file included from /usr/local/include/fuse/fuse.h:777,
                 from <command line>:1:
/usr/local/include/fuse/fuse_compat.h:68:24: error: sys/statfs.h: No
such file or directory
yes
checking for if make is GNU make... yes
checking for nroff... /usr/bin/nroff
creating config.h
configure: creating ./config.status
config.status: creating Makefile

Not sure why this is failing... I tried this configure string too but
with no luck

./configure --program-suffix=19 --enable-shared --enable-pthread
CFLAGS=-D_FILE_OFFSET_BITS=64

Tried stable-snapshot and snapshot both has the same issue....

Just as a test I tried 1.8.7-p160 and that works and installs fine (./
configure, make, make install)

./configure --with-static-linked-ext --enable-pthread --enable-shared
--with-ruby-version=full --program-suffix=1.9

Works just fine for me w/ 10.5.7 on Intel. I have a bunch of things
(including gcc 4.1) installed via MacPorts though.

usually i would:

CFLAGS=-D_FILE_OFFSET_BITS=64 ./configure ...

I'm running:

Mac OSX V 10.5.7
1.25 GHz PPC G4

I've successfully built ruby-1.8.[67]p"72-160", ruby-1.9.1p"0-129",
and ruby-1.9.2dev(many versions).

cd ruby-1...
./configure --prefix=/opt/... --enable-pthread
make
make install

Is it possible your "autoconf" step is tripping you up? Or is it
possible that there's a problem with the 10.5.7 intel build? I
seriously doubt it's the second as it's been several years since the
intel intro and I'm definitely in the minority as a ppc developer.

Rick